/**
 * Copyright 2002, 2014 IBM Corp.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 *  Author: Sami Salkosuo, sami.salkosuo@fi.ibm.com
 */
package clenotes.commands;

import clenotes.Command;
import clenotes.utils.DominoUtils;
import lotus.domino.Database;
import lotus.domino.DateTime;
import lotus.domino.Session;
import org.eclipse.xtext.xbase.lib.Exceptions;
import org.eclipse.xtext.xbase.lib.InputOutput;

@SuppressWarnings("all")
public class MailDBInfo {
  public static String execute(final Command cmd, final Session notesSession) {
    try {
      String _xblockexpression = null;
      {
        Database mailDb = DominoUtils.getMailDatabase(notesSession);
        InputOutput.<String>println("Mail database information");
        String _userName = notesSession.getUserName();
        String _plus = ("User name     : " + _userName);
        InputOutput.<String>println(_plus);
        String _title = mailDb.getTitle();
        String _plus_1 = ("Title         : " + _title);
        InputOutput.<String>println(_plus_1);
        String _replicaID = mailDb.getReplicaID();
        String _plus_2 = ("Replica ID    : " + _replicaID);
        InputOutput.<String>println(_plus_2);
        String _filePath = mailDb.getFilePath();
        String _plus_3 = ("File path     : " + _filePath);
        InputOutput.<String>println(_plus_3);
        int _fileFormat = mailDb.getFileFormat();
        String _plus_4 = ("ODS version   : " + Integer.valueOf(_fileFormat));
        InputOutput.<String>println(_plus_4);
        String _server = mailDb.getServer();
        String _plus_5 = ("Server        : " + _server);
        InputOutput.<String>println(_plus_5);
        double _size = mailDb.getSize();
        double _divide = (_size / 1048576f);
        double _percentUsed = mailDb.getPercentUsed();
        String str = String.format("Size (used %%) : %.2f MB (%.2f%%)", Double.valueOf(_divide), Double.valueOf(_percentUsed));
        InputOutput.<String>println(str);
        DateTime _created = mailDb.getCreated();
        String _gMTTime = _created.getGMTTime();
        String _plus_6 = ("Created       : " + _gMTTime);
        InputOutput.<String>println(_plus_6);
        DateTime _lastModified = mailDb.getLastModified();
        String _gMTTime_1 = _lastModified.getGMTTime();
        String _plus_7 = ("Modified      : " + _gMTTime_1);
        InputOutput.<String>println(_plus_7);
        String _httpURL = mailDb.getHttpURL();
        String _plus_8 = ("HTTP URL      : " + _httpURL);
        InputOutput.<String>println(_plus_8);
        String _notesURL = mailDb.getNotesURL();
        String _plus_9 = ("Notes URL     : " + _notesURL);
        _xblockexpression = (InputOutput.<String>println(_plus_9));
      }
      return _xblockexpression;
    } catch (Throwable _e) {
      throw Exceptions.sneakyThrow(_e);
    }
  }
}
