/*
 * Copyright 2002, 2014 IBM Corp.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.  
 *
 *  Author: Sami Salkosuo, sami.salkosuo@fi.ibm.com
*/
package clenotes

import java.util.List
import java.util.Map
import org.eclipse.xtext.xbase.lib.util.ToStringHelper

class Command {
	@Property String name = null
	@Property String description = null

	//@Property Map<String,Option> options=new LinkedHashMap<String,Option>()
	@Property Map<String, Option> optionMap = newLinkedHashMap()

	def hasOption(String optionName) {
		optionMap.containsKey(optionName)
	}

	def getOptionValue(String optionName) {
		var option = optionMap.get(optionName)
		var String value = null
		if (option != null) {
			value = option.value
		}
		value
	}

	def getOptionValues(String optionName) {
		var Option option = optionMap.get(optionName)
		var List<String> values=null
		if (option!=null)
		{
			values=option.values
		}
		values
	}

	public override String toString() {
		var String result = new ToStringHelper().toString(this);
		return result;
	}
}
