/*
 * Copyright 2002, 2014 IBM Corp.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.  
 *
 *  Author: Sami Salkosuo, sami.salkosuo@fi.ibm.com
*/
package clenotes

import java.util.List
import java.util.Vector
import org.eclipse.xtext.xbase.lib.util.ToStringHelper

class Option {
	@Property String name = null
	@Property String description = null
	@Property boolean mandatoryValue = false
	@Property List<String> values = new Vector<String>()

	new() {
	}

	/**
 * Return first value of option.
 */
	def String getValue() {

		if(values.size > 0) return values.get(0)
		null
	}

	public override String toString() {
		var String result = new ToStringHelper().toString(this);
		return result;
	}

}
